/*
 * Physically Based Simulation, SS 2005
 *
 * Markus Liechti (liechtim@student.ethz.ch)
 * Yoshimi Takano (yoshi@student.ethz.ch)
 * Stefan Wismer (swismer@student.ethz.ch)
 *
 * $Id: world.h,v 1.11 2005/06/25 20:23:13 ytakano Exp $
 */

#ifndef __world_H__
#define __world_H__

#include <vector>
#include "bridge.h"
#include "train.h"

/** Represents a world consisting of a bridge, a horizon and a train. */
class World {
public:
	/** The bridge */
	Bridge bridge;
	
	/** The horizon */
	vector<vertex> horizon;
	
	/** The Train */
	Train train;
	
	/** Loads the bridge from a file.
	 * @param filename the filename
	 */
	bool loadFromFile(char *filename);
	
	/** Saves the current bridge to a file.
	 * @param filename the filename
	 */
	bool saveToFile(char *filename);
};

#endif
